ON_3dmRevisionHistory Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_properties.h>`

## Public Member Functions

| ON_3dmRevisionHistory ()
| ~ON_3dmRevisionHistory ()
void | Default ()
ON_BOOL32 | IsValid () const
int | NewRevision ()
ON_BOOL32 | Read (ON_BinaryArchive &)
ON_BOOL32 | Write (ON_BinaryArchive &) const
void | Dump (ON_TextLog &) const
bool | CreateTimeIsSet () const
bool | LastEditedTimeIsSet () const

## Public Attributes

ON_wString | m_sCreatedBy
ON_wString | m_sLastEditedBy
struct tm | m_create_time
struct tm | m_last_edit_time
int | m_revision_count

## Detailed Description

Definition at line 22 of file opennurbs_3dm_properties.h.

## Constructor & Destructor Documentation

## ON_3dmRevisionHistory()

ON_3dmRevisionHistory::ON_3dmRevisionHistory | ( |  | ) |

## ~ON_3dmRevisionHistory()

ON_3dmRevisionHistory::~ON_3dmRevisionHistory | ( |  | ) |

## Member Function Documentation

## CreateTimeIsSet()

bool ON_3dmRevisionHistory::CreateTimeIsSet | ( |  | ) | const

## Default()

void ON_3dmRevisionHistory::Default | ( |  | ) |

## Dump()

void ON_3dmRevisionHistory::Dump | ( | ON_TextLog & |  | ) | const

## IsValid()

ON_BOOL32 ON_3dmRevisionHistory::IsValid | ( |  | ) | const

## LastEditedTimeIsSet()

bool ON_3dmRevisionHistory::LastEditedTimeIsSet | ( |  | ) | const

## NewRevision()

int ON_3dmRevisionHistory::NewRevision | ( |  | ) |

## Read()

ON_BOOL32 ON_3dmRevisionHistory::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

ON_BOOL32 ON_3dmRevisionHistory::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_create_time

struct tm ON_3dmRevisionHistory::m_create_time

Definition at line 54 of file opennurbs_3dm_properties.h.

## m_last_edit_time

struct tm ON_3dmRevisionHistory::m_last_edit_time

Definition at line 55 of file opennurbs_3dm_properties.h.

## m_revision_count

int ON_3dmRevisionHistory::m_revision_count

Definition at line 56 of file opennurbs_3dm_properties.h.

## m_sCreatedBy

ON_wString ON_3dmRevisionHistory::m_sCreatedBy

Definition at line 52 of file opennurbs_3dm_properties.h.

## m_sLastEditedBy

ON_wString ON_3dmRevisionHistory::m_sLastEditedBy

Definition at line 53 of file opennurbs_3dm_properties.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_3dm_properties.h